/* Promo cards */

.promo-card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  border-width: 1px;
  border-radius: 10px;
  border-style: solid;
  min-height: 350px;
  padding: 0;
  max-width: 350px;
}

.promo-image img {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  object-fit: cover;
  width: 100%;
  height: 200px;
}

.promo-content {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;

  margin-top: var(--wp--preset--spacing--10);
  margin-bottom: var(--wp--preset--spacing--10);
  padding-top: var(--wp--preset--spacing--20);
  padding-right: var(--wp--preset--spacing--30);
  padding-bottom: var(--wp--preset--spacing--30);
  padding-left: var(--wp--preset--spacing--30);
}

.promo-content h3 {
  font-size: var(--font-size-2);
}

.promo-card:nth-child(n + 2) {
  display: none;
}

.all-promos .promo-card {
  display: flex;
}
.promo-content hr {
  margin: 1em auto;
}

/* For viewports 800px and above */
@media (min-width: 800px) {
  .promo-card {
    min-height: 350px;
    width: 425px;
    max-width: 425px;
  }

  .promo-image img {
    height: 250px;
  }

  .promo-content {
    /*     margin-top: var(--wp--preset--spacing--30); */
    /*     margin-bottom: var(--wp--preset--spacing--30); */
    padding-top: var(--wp--preset--spacing--40);
    padding-right: var(--wp--preset--spacing--40);
    padding-bottom: var(--wp--preset--spacing--40);
    padding-left: var(--wp--preset--spacing--40);
  }

  .promo-content h3 {
    font-size: var(--font-size-3);
  }

  .promo-card:nth-child(n + 2) {
    display: flex;
  }
}

/* Call CTA button in promo cards */
.promo-cta.cta {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  text-transform: uppercase;
  font-weight: 600;
  min-height: 48px;
  padding: var(--wp--preset--spacing--20) var(--wp--preset--spacing--30);
}
